apiVersion: batch/v1
kind: Job
metadata:
  name: {{ include "indentcloud.fullname" . }}-db-{{ .Values.image.tag }}
  labels:
{{ include "indentcloud.labels" . | indent 4 }}
spec:
  ttlSecondsAfterFinished: 120
  template:
    spec:
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          command: ["bundle",  "exec", "rake", "db:migrate"]
          env:
            - name: RAILS_MASTER_KEY
              value: "{{ .Values.master_key }}"
            - name: POSTGRES_HOST
              value: "{{ .Values.postgres.host }}"
            - name: POSTGRES_USER
              value: "{{ .Values.postgres.user }}"
            - name: POSTGRES_PASSWORD
              value: "{{ .Values.postgres.password }}"
            - name: POSTGRES_DB
              value: "{{ .Values.postgres.db }}"
      restartPolicy: Never
  backoffLimit: 4